var proimglist = []; //保存附件数组
var uploader; //上传实例
var limitNum = 6; //限制数量
var token = $.cookie("token");
var kn_id = ""; //当前节点id
var pid; //当前父节点ID
var name = ''; //选择的name
var pidName; //父节点name
var keyWord = $('.searCon').val(); //关键字
var table = $('#table1'); //右边表格

$(function() {
	tree();
	initTable();
	//搜索按钮
	$('#sc_btns').click(function() {
		keyWord = $('.searCon').val();
		initTable();
	});
});

function tree() {
	var setting1 = {
		data: {
			key: {
				name: "text"
			},
			simpleData: {
				enable: true,
				idKey: "id",
				rootPId: 0
			}
		},
		callback: {
			onClick: zTreeOnClick
		}
	};
	$.get(huayi.config.callcenter_url + 'KnowledgeClass/GetList', {
		"token": token,
		"pid": pid
	}, function(result) {
		result = $.parseJSON(result);
		$.fn.zTree.init($("#treeDemo"), setting1, result.data); //实例化树形图
	});
}

function zTreeOnClick(event, treeId, treeNode) {
	kn_id = treeNode.id;
	name = treeNode.text;
	var pidnode = treeNode.getParentNode();
	if(pidnode) {
		pidName = pidnode.text;
		pid = pidnode.id;
		//console.log(pid);
	} else {
		pidName = "顶级分类";
		pid == 0;
		//console.log(pid);
	}
	keyWord = $('.searCon').val();
	initTable();
};

function initTable() {
	//先销毁表格
	table.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	table.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "Knowledge/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 15, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				token: token,
				pid: kn_id,
				keywords: keyWord
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

function formatterTitle(val, row) {
	if(val.length > 15) {
		val = val.substring(0, 15) + "...";
	}
	return '<div onclick="btn_detail(' + row.F_RepositoryId + ')" class="content">' + val + '</div>'
}

function oper(val, row) {
	if(val.length > 20) {
		val = val.substring(0, 20) + "...";
	}
	return '<div onclick="btn_detail(' + row.F_RepositoryId + ')" class="content">' + val + '</div>'
}

function formatterKey(val, row) {
	if(val.length > 10) {
		val = val.substring(0, 10) + "...";
	}
	return val;
}

function setCode(val, row, index) {
	var page = table.bootstrapTable("getPageCode");
	return page.pageSize * (page.pageNumber - 1) + index + 1;
}

//点击标题 内容查看详情
function btn_detail(seeid) {
	layer.open({
		type: 2,
		title: '查看知识库',
		shadeClose: true, //是否开启点击遮罩关闭
		shade: 0.4, //遮罩
		maxmin: true, //开启最大化最小化按钮
		id: 'LAY_layuipro', //防止重复弹出
		moveType: 1, //拖拽类型 默认的拖拽风格正如你所见到的，会有个过度的透明框。但是如果你不喜欢，你可以设定moveType: 1切换到传统的拖拽模式
		moveOut: false, //拖拽到窗口外
		//resize: true,//是否允许拉伸
		area: ['70%', '90%'],
		content: 'template/seeDetail.html?changeGetid=' + seeid
	});
}

//添加
$('.add').click(function() {
	layer.open({
		type: 2,
		title: '添加知识库',
		shadeClose: true, //是否开启点击遮罩关闭
		shade: 0.4, //遮罩
		maxmin: true, //开启最大化最小化按钮
		moveType: 1, //拖拽类型 默认的拖拽风格正如你所见到的，会有个过度的透明框。但是如果你不喜欢，你可以设定moveType: 1切换到传统的拖拽模式
		moveOut: false, //拖拽到窗口外
		//resize: true,//是否允许拉伸
		area: ['70%', '90%'],
		content: "template/addOrEditKnowledge.html"
	});
})

//修改
$('.change').click(function() {
	var changes = $.map($('#table1').bootstrapTable('getSelections'), function(row) {
		return row.F_RepositoryId;
	});

	if(changes.length != 1) {
		layer.confirm('请选择一行修改！', {
			icon: 7,
			btn: ['确定']
		});
		return;
	}
	layer.open({
		type: 2,
		title: '编辑知识库',
		shadeClose: true, //是否开启点击遮罩关闭
		shade: 0.4, //遮罩
		maxmin: true, //开启最大化最小化按钮
		moveType: 1, //拖拽类型 默认的拖拽风格正如你所见到的，会有个过度的透明框。但是如果你不喜欢，你可以设定moveType: 1切换到传统的拖拽模式
		moveOut: false, //拖拽到窗口外
		//resize: true,//是否允许拉伸
		area: ['70%', '50%'],
		content: "template/addOrEditKnowledge.html?edit_id=" + changes
	});
});

//绑定导入 按钮
$('#HY_import').on('click', btn_import);

//导入知识库信息
function btn_import() {
	if(!kn_id) {
		layer.confirm('请先选择知识库分类', {
			icon: 7,
			btn: ['确定']
		});
		return;
	}

	layer.open({
		maxmin: true, //开启最大化最小化按钮
		type: 2,
		content: "importknowledge.html?kn_id=" + kn_id, //iframe的url，no代表不显示滚动条
		title: '导入知识库信息',
		area: ['50%', '90%'], //宽高
	});
}

function dcexcel(obj) {
	var url = huayi.config.callcenter_url + "Knowledge/ExportExcel?token=" + token;
	url += "&pid=" + kn_id; //pid	是	string	知识库分类
	url += "&keywords=" + $(".searCon").val(); //是	关键词
	obj.href = url;
}

//批量删除
$('.del').click(function() {
	var ids = $.map($('#table1').bootstrapTable('getSelections'), function(row) {
		return row.F_RepositoryId;
	});
	if(ids.length <= 0) {
		layer.confirm('请选择要删除的选项', {
			icon: 7,
			btn: ['确定'] //按钮
		});
		return;
	}
	btn_delete(ids);
});
//删除
function btn_delete(del_id) {
	layer.confirm('您确定要删除当前信息吗？', {
		icon: 7,
		btn: ['确定', '取消'],
		yes: function(index, layero) {
			$.post(huayi.config.callcenter_url + "Knowledge/DelInfos", {
				ids: del_id,
				token: token
			}, function(result) {
				result = JSON.parse(result);
				if(result.state.toLowerCase() == "success") {
					layer.msg("删除成功");
					table.bootstrapTable('refresh');
				}
			})
		},
	});
}